Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## modelling
Class Message

    java.lang.Object
      modelling.Message

All Implemented Interfaces:
  Signal

public class Message
extends java.lang.Object
implements Signal

Signal with a circulary diffusion from an origin point.

Constructor Summary
`Message(Map map, java.lang.String contents, float radius, float x, float y, Satisfactor satisfactor)` Creates a new message with a given satisfactor

Method Summary
`Area` | `getArea()` Determinates the Area covered by the signal.
`java.lang.String` | `getContents()` Returns the message contents.
`Selector` | `getSelector()` Returns the `Selector` selector
`float` | `getX()` The receiver must be able to detect the origin point of the message.
`float` | `getY()` Second coordonate.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Message

    public Message(Map map,
                   java.lang.String contents,
                   float radius,
                   float x,
                   float y,
                   Satisfactor satisfactor)

  Creates a new message with a given satisfactor

Method Detail

### getX

    public float getX()

  The receiver must be able to detect the origin point of the message. This gives him the first coordonate.

### getY

    public float getY()

  Second coordonate.

### getSelector

    public Selector getSelector()

  Returns the `Selector` selector

  Specified by:
    `getSelector` in interface `Signal`

### getArea

    public Area getArea()

  Determinates the Area covered by the signal. The message localisation may be precised by the `Selector` selector.

  Specified by:
    `getArea` in interface `Signal`

### getContents

    public java.lang.String getContents()

  Returns the message contents.

  Specified by:
    `getContents` in interface `Signal`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD